Create and manage links
Last updated on
With links you can connect your Telemetry Router to a STACKIT stream source. Supported identifiers for stream sources are folders, organizations and projects.
Prerequisites
Section titled “Prerequisites”- You have a Telemetry Router instance Create and manage instances
Hierarchy of telemetry links
Section titled “Hierarchy of telemetry links”Telemetry links are organized in three levels:
- folders: Captures everything related to folders itself
- organizations: Captures everything related to organizations itself
- projects: Captures everything related to projects and all data within. The vast majority of data runs over this link.
A telemetry link captures data according to its associated level only. There is no inheritance – to capture all available information, you need at least one telemetry link for each level.
Body scheme
Section titled “Body scheme”Choose the properties for your new or edited link
Section titled “Choose the properties for your new or edited link”To create or edit a telemetry link you need to define its parameters. All parameters are part of a JSON config body object of this form:
| Body parameter | Meaning | Example |
|---|---|---|
accessToken | The individual access token of your Telemetry Router | eyJhbGci0iJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIi0iIxMjM0NTY30DkwIiwibmFtZSI6IkpvaG4gRG91IiwiaXNTb2NpYWwiOnRydWV9.4pcPyMD09o1PSyXnrXCjTwXyr4BsezdI1AVTmud2fU4 |
telemetryRouterId | The ID of your Telemetry Router instance | d5b5cdcc-c155-4d66-82ef-4289db8e4557 |
enabled | Whether the link should be enabled or not (boolean) | true |
displayName | A name for the destination | my-telemetry-link |
description | An optional description for your reference | My new telemetry link |
For creating, all parameters except description are mandatory. For editing all parameters are optional.
{ [accessToken], [telemetryRouterId], [enabled], [displayName], [description]}Create a link
Section titled “Create a link”To create a telemetry link, you need to call the appropriate endpoint. Each level (folders, organizations and projects) has its own endpoint. The body scheme is equal of each level.
Folder level
Section titled “Folder level”| Path parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJhbGci0iJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIi0iIxMjM0NTY30DkwIiwibmFtZSI6IkpvaG4gRG91IiwiaXNTb2NpYWwiOnRydWV9.4pcPyMD09o1PSyXnrXCjTwXyr4BsezdI1AVTmud2fU4 |
| folderId | Your individual folder ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
| config | A config object. Read more in Choose the properties for your new or edited link |
curl -X PUT \'https://telemetry-link.api.stackit.cloud/v1beta/folders/[folderId]/regions/[regionId]/telemetry-link' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json' \--data-raw '{ [config]}'Organsiation level
Section titled “Organsiation level”| Path parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJhbGci0iJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIi0iIxMjM0NTY30DkwIiwibmFtZSI6IkpvaG4gRG91IiwiaXNTb2NpYWwiOnRydWV9.4pcPyMD09o1PSyXnrXCjTwXyr4BsezdI1AVTmud2fU4 |
| organizationId | Your individual organization ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
| config | A config object. Read more in Choose the properties for your new or edited link |
curl -X PUT \'https://telemetry-link.api.stackit.cloud/v1beta/organizations/[organizationId]/regions/[regionId]/telemetry-link' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json' \--data-raw '{ [config]}'Project level
Section titled “Project level”| Path parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJhbGci0iJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIi0iIxMjM0NTY30DkwIiwibmFtZSI6IkpvaG4gRG91IiwiaXNTb2NpYWwiOnRydWV9.4pcPyMD09o1PSyXnrXCjTwXyr4BsezdI1AVTmud2fU4 |
| projectId | Your individual project ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
| config | A config object. Read more in Choose the properties for your new or edited link |
curl -X PUT \'https://telemetry-link.api.stackit.cloud/v1beta/projects/[projectId]/regions/[regionId]/telemetry-link' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json' \--data-raw '{ [config]}'View a link
Section titled “View a link”To view a telemetry link, you need to call the appropriate endpoint. Each level (folders, organizations and projects) has its own endpoint.
Folder level
Section titled “Folder level”| Path parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJhbGci0iJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIi0iIxMjM0NTY30DkwIiwibmFtZSI6IkpvaG4gRG91IiwiaXNTb2NpYWwiOnRydWV9.4pcPyMD09o1PSyXnrXCjTwXyr4BsezdI1AVTmud2fU4 |
| folderId | Your individual folder ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
curl -X GET \'https://telemetry-link.api.stackit.cloud/v1beta/folders/[folderId]/regions/[regionId]/telemetry-link' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json' \Organsiation level
Section titled “Organsiation level”| Path parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJhbGci0iJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIi0iIxMjM0NTY30DkwIiwibmFtZSI6IkpvaG4gRG91IiwiaXNTb2NpYWwiOnRydWV9.4pcPyMD09o1PSyXnrXCjTwXyr4BsezdI1AVTmud2fU4 |
| organizationId | Your individual organization ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
curl -X GET \'https://telemetry-link.api.stackit.cloud/v1beta/organizations/[organizationId]/regions/[regionId]/telemetry-link' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json' \Project level
Section titled “Project level”| Path parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJhbGci0iJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIi0iIxMjM0NTY30DkwIiwibmFtZSI6IkpvaG4gRG91IiwiaXNTb2NpYWwiOnRydWV9.4pcPyMD09o1PSyXnrXCjTwXyr4BsezdI1AVTmud2fU4 |
| projectId | Your individual project ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
curl -X GET \'https://telemetry-link.api.stackit.cloud/v1beta/projects/[projectId]/regions/[regionId]/telemetry-link' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json' \Create a link
Section titled “Create a link”To edit a telemetry link, you need to call the appropriate endpoint. Each level (folders, organizations and projects) has its own endpoint. The body scheme is equal of each level.
Folder level
Section titled “Folder level”| Path parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJhbGci0iJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIi0iIxMjM0NTY30DkwIiwibmFtZSI6IkpvaG4gRG91IiwiaXNTb2NpYWwiOnRydWV9.4pcPyMD09o1PSyXnrXCjTwXyr4BsezdI1AVTmud2fU4 |
| folderId | Your individual folder ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
| config | A config object. Read more in Choose the properties for your new or edited link |
curl -X PATCH \'https://telemetry-link.api.stackit.cloud/v1beta/folders/[folderId]/regions/[regionId]/telemetry-link' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json' \--data-raw '{ [config]}'Organsiation level
Section titled “Organsiation level”| Path parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJhbGci0iJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIi0iIxMjM0NTY30DkwIiwibmFtZSI6IkpvaG4gRG91IiwiaXNTb2NpYWwiOnRydWV9.4pcPyMD09o1PSyXnrXCjTwXyr4BsezdI1AVTmud2fU4 |
| organizationId | Your individual organization ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
| config | A config object. Read more in Choose the properties for your new or edited link |
curl -X PATCH \'https://telemetry-link.api.stackit.cloud/v1beta/organizations/[organizationId]/regions/[regionId]/telemetry-link' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json' \--data-raw '{ [config]}'Project level
Section titled “Project level”| Path parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJhbGci0iJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIi0iIxMjM0NTY30DkwIiwibmFtZSI6IkpvaG4gRG91IiwiaXNTb2NpYWwiOnRydWV9.4pcPyMD09o1PSyXnrXCjTwXyr4BsezdI1AVTmud2fU4 |
| projectId | Your individual project ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
| config | A config object. Read more in Choose the properties for your new or edited link |
curl -X PATCH \'https://telemetry-link.api.stackit.cloud/v1beta/projects/[projectId]/regions/[regionId]/telemetry-link' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json' \--data-raw '{ [config]}'Delete a link
Section titled “Delete a link”To delete a telemetry link, you need to call the appropriate endpoint. Each level (folders, organizations and projects) has its own endpoint.
Folder level
Section titled “Folder level”| Path parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJhbGci0iJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIi0iIxMjM0NTY30DkwIiwibmFtZSI6IkpvaG4gRG91IiwiaXNTb2NpYWwiOnRydWV9.4pcPyMD09o1PSyXnrXCjTwXyr4BsezdI1AVTmud2fU4 |
| folderId | Your individual folder ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
curl -X DELETE \'https://telemetry-link.api.stackit.cloud/v1beta/folders/[folderId]/regions/[regionId]/telemetry-link' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json' \Organsiation level
Section titled “Organsiation level”| Path parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJhbGci0iJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIi0iIxMjM0NTY30DkwIiwibmFtZSI6IkpvaG4gRG91IiwiaXNTb2NpYWwiOnRydWV9.4pcPyMD09o1PSyXnrXCjTwXyr4BsezdI1AVTmud2fU4 |
| organizationId | Your individual organization ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
curl -X DELETE \'https://telemetry-link.api.stackit.cloud/v1beta/organizations/[organizationId]/regions/[regionId]/telemetry-link' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json' \Project level
Section titled “Project level”| Path parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJhbGci0iJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIi0iIxMjM0NTY30DkwIiwibmFtZSI6IkpvaG4gRG91IiwiaXNTb2NpYWwiOnRydWV9.4pcPyMD09o1PSyXnrXCjTwXyr4BsezdI1AVTmud2fU4 |
| projectId | Your individual project ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
curl -X DELETE \'https://telemetry-link.api.stackit.cloud/v1beta/projects/[projectId]/regions/[regionId]/telemetry-link' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json' \